VkRayTracingPipelineCreateInfoNV Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkRayTracingPipelineCreateInfoNV:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineCreateFlags | flags
uint32_t | stageCount
const VkPipelineShaderStageCreateInfo * | pStages
uint32_t | groupCount
const VkRayTracingShaderGroupCreateInfoNV * | pGroups
uint32_t | maxRecursionDepth
VkPipelineLayout | layout
VkPipeline | basePipelineHandle
int32_t | basePipelineIndex

## Detailed Description

Definition at line 8208 of file vulkan_core.h.

## Field Documentation

## basePipelineHandle

VkPipeline VkRayTracingPipelineCreateInfoNV::basePipelineHandle

Definition at line 8218 of file vulkan_core.h.

## basePipelineIndex

int32_t VkRayTracingPipelineCreateInfoNV::basePipelineIndex

Definition at line 8219 of file vulkan_core.h.

## flags

VkPipelineCreateFlags VkRayTracingPipelineCreateInfoNV::flags

Definition at line 8211 of file vulkan_core.h.

## groupCount

uint32_t VkRayTracingPipelineCreateInfoNV::groupCount

Definition at line 8214 of file vulkan_core.h.

## layout

VkPipelineLayout VkRayTracingPipelineCreateInfoNV::layout

Definition at line 8217 of file vulkan_core.h.

## maxRecursionDepth

uint32_t VkRayTracingPipelineCreateInfoNV::maxRecursionDepth

Definition at line 8216 of file vulkan_core.h.

## pGroups

const VkRayTracingShaderGroupCreateInfoNV* VkRayTracingPipelineCreateInfoNV::pGroups

Definition at line 8215 of file vulkan_core.h.

## pNext

const void* VkRayTracingPipelineCreateInfoNV::pNext

Definition at line 8210 of file vulkan_core.h.

## pStages

const VkPipelineShaderStageCreateInfo* VkRayTracingPipelineCreateInfoNV::pStages

Definition at line 8213 of file vulkan_core.h.

## stageCount

uint32_t VkRayTracingPipelineCreateInfoNV::stageCount

Definition at line 8212 of file vulkan_core.h.

## sType

VkStructureType VkRayTracingPipelineCreateInfoNV::sType

Definition at line 8209 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h